# QIcon Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QIcon()
- void QIcon(QIconEngine engine)
- void QIcon(QIconEngineV2 engine)
- void QIcon(QIcon other)
- void QIcon(QPixmap pixmap)
- void QIcon(String fileName)

### Constructor Properties

- prototype: The QIcon prototype object
- QIcon fromTheme(String name, QIcon fallback)
- bool hasThemeIcon(String name)
- void setThemeName(String path)
- void setThemeSearchPaths(List searchpath)
- String themeName()
- List themeSearchPaths()
- Normal
- Disabled
- Active
- Selected
- Mode( value )
- On
- Off
- State( value )

### Prototype Object Properties

- QSize actualSize(QSize size, Mode mode, State state)
- void addFile(String fileName, QSize size, Mode mode, State state)
- void addPixmap(QPixmap pixmap, Mode mode, State state)
- List availableSizes(Mode mode, State state)
- qint64 cacheKey()
- bool isNull()
- String name()
- void paint(QPainter painter, QRect rect, Alignment alignment, Mode mode, State state)
- QPixmap pixmap(QSize size, Mode mode, State state)
- void readFrom(QDataStream arg__1)
- void swap(QIcon other)
- void writeTo(QDataStream arg__1)

### Instance Properties

QIcon objects have no special properties beyond those inherited from the QIcon prototype object.